Fix a small issue with the origin/prefix in the parser.
Handle server<->server PING for both the jupe server and the juped server.
Reply to VERSION.
Remove a #Log: #
diff -uNrd j6.dist/jupe.c j6/jupe.c
--- j6.dist/jupe.c	Wed May 22 21:34:12 2002
+++ j6/jupe.c	Tue Jun 17 11:27:22 2003
@@ -78,9 +78,11 @@
     {
 	rcvd = SockRead(sockserv, cbuf, sizeof(cbuf));
 	param[0] = cbuf;
+	if (*param[0] == ':')
+	    param[0]++;
 	done = 0;
 
-	for (token = cbuf, i = 0; token && i < 15; token++)
+	for (token = param[0], i = 0; token && *token && i < 15; token++)
 	{
 	    if (*token == '\n' || *token == '\r')
 	    {
@@ -103,6 +105,29 @@
 	    param[i] = NULL;
 	if (!strcmp(param[0], "PING"))
 	    SockPrintf(sockserv, "PONG :%s\r\n", param[1]);
+
+	if (!strcmp(param[1], "PING"))
+	    SockPrintf(sockserv, ":%s PONG %s :%s\r\n", param[3], param[3],
+		param[2]);
+
+	if (!strcmp(param[1], "VERSION"))
+	    SockPrintf(sockserv, ":%s 351 %s Jupe_j%d %s :%s%s%s\r\n", param[2],
+		param[0], JUPE_VERSION, param[2],
+#ifdef BLIND_SQUIT
+		"B",
+#else
+		"",
+#endif
+#ifdef PERSIST
+		"P",
+#else
+		"",
+#endif
+#ifdef WALLOPS
+		"W");
+#else
+		"");
+#endif
 
 	if (!strcmp(param[1], "SQUIT"))
 	{
diff -uNrd j6.dist/jupe.h j6/jupe.h
--- j6.dist/jupe.h	Wed Oct 17 16:36:46 2001
+++ j6/jupe.h	Tue Jun 17 09:00:21 2003
@@ -1,2 +1,9 @@
+#ifndef JUPE_H
+#define JUPE_H
+
 #define TYPE_IRCNET 1
 #define TYPE_EFNET 2
+
+#define JUPE_VERSION 7
+
+#endif
diff -uNrd j6.dist/mem.h j6/mem.h
--- j6.dist/mem.h	Tue Sep 14 12:51:48 1999
+++ j6/mem.h	Tue Jun 17 09:05:33 2003
@@ -4,24 +4,6 @@
 
 /* $Id: mem.h,v 1.5 1999/06/14 10:21:40 liff Exp $ */
 
-/* 
- * $Log: mem.h,v $
- * Revision 1.5  1999/06/14 10:21:40  liff
- * Added my_strdup
- *
- * Revision 1.4  1999/05/14 07:14:45  pht
- *
- * you can now do 'make indent' :>
- *
- * Revision 1.3  1999/05/11 15:52:41  steven
- * changed *.h so they can be #included several times
- * (with #ifndef and stuff)
- *
- * Revision 1.2  1999/05/07 00:24:47  pht
- *
- * Id/Log-ized.
- *
- */
 #ifndef __MEM_C__
 #define __MEM_C__
 #include <sys/types.h>
